Subject: bug#62791: BUILT_SOURCES not honoured in parallel build?

From: Karl Berry <[email-masked]>
Date: Fri, 8 Dec 2023 15:03:34 -0700

The manual currently says: "You should never explicitly mention the
    intermediate (C or C++) file in any `SOURCES' variable; only list
    the source file."  

I don't know the code here, and this probably wasn't the question, but I
think the manual's statement about "any `SOURCES' variables" was simply
not meant to apply to BUILT_SOURCES (probably didn't think about it),
but rather to the "normal" something_SOURCES variables. So my gut
reaction is to add "(except @code{BUILT_SOURCES}, see below)".

    Later, it talks about adding the header file to
    "BUIILT_SOURCES". This seems at odds with what Mike said and I found
    empirically.

I suggest that we could just say to add both files, although if you want
to try to understand what's actually going on, more power to you :).

Best,
Karl